Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jdbc
Class JcrMetaData.PseudoPropertyDefinition

    java.lang.Object
      org.modeshape.jdbc.JcrMetaData.PseudoPropertyDefinition

All Implemented Interfaces:
  ItemDefinition, PropertyDefinition

Enclosing class:
  JcrMetaData

    protected static class JcrMetaData.PseudoPropertyDefinition

extends Object
implements PropertyDefinition

Constructor Summary
`protected` | `JcrMetaData.PseudoPropertyDefinition(NodeType declaringNodeType, String name, int requiredType, boolean autoCreated, boolean mandatory, boolean isProtected, boolean multiple, boolean fullTextSearchable, boolean queryOrderable)`
`protected` | `JcrMetaData.PseudoPropertyDefinition(NodeType declaringNodeType, String name, int requiredType, boolean autoCreated, boolean mandatory, boolean isProtected, boolean multiple, boolean fullTextSearchable, boolean queryOrderable, Value[] defaultValues, String[] constraints, int onParentVersioning, String[] queryOps)`

Method Summary
`String[]` | `getAvailableQueryOperators()`
`NodeType` | `getDeclaringNodeType()`
`Value[]` | `getDefaultValues()`
`String` | `getName()`
`int` | `getOnParentVersion()`
`int` | `getRequiredType()`
`String[]` | `getValueConstraints()`
`boolean` | `isAutoCreated()`
`boolean` | `isFullTextSearchable()`
`boolean` | `isMandatory()`
`boolean` | `isMultiple()`
`boolean` | `isProtected()`
`boolean` | `isQueryOrderable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JcrMetaData.PseudoPropertyDefinition

    protected JcrMetaData.PseudoPropertyDefinition(NodeType declaringNodeType,
                                                   String name,
                                                   int requiredType,
                                                   boolean autoCreated,
                                                   boolean mandatory,
                                                   boolean isProtected,
                                                   boolean multiple,
                                                   boolean fullTextSearchable,
                                                   boolean queryOrderable,
                                                   Value[] defaultValues,
                                                   String[] constraints,
                                                   int onParentVersioning,
                                                   String[] queryOps)

### JcrMetaData.PseudoPropertyDefinition

    protected JcrMetaData.PseudoPropertyDefinition(NodeType declaringNodeType,
                                                   String name,
                                                   int requiredType,
                                                   boolean autoCreated,
                                                   boolean mandatory,
                                                   boolean isProtected,
                                                   boolean multiple,
                                                   boolean fullTextSearchable,
                                                   boolean queryOrderable)

Method Detail

### getAvailableQueryOperators

    public String[] getAvailableQueryOperators()

  Specified by:
    `getAvailableQueryOperators` in interface `PropertyDefinition`
  See Also:
    `PropertyDefinition.getAvailableQueryOperators()`

### getDefaultValues

    public Value[] getDefaultValues()

  Specified by:
    `getDefaultValues` in interface `PropertyDefinition`
  See Also:
    `PropertyDefinition.getDefaultValues()`

### getRequiredType

    public int getRequiredType()

  Specified by:
    `getRequiredType` in interface `PropertyDefinition`
  See Also:
    `PropertyDefinition.getRequiredType()`

### getValueConstraints

    public String[] getValueConstraints()

  Specified by:
    `getValueConstraints` in interface `PropertyDefinition`
  See Also:
    `PropertyDefinition.getValueConstraints()`

### isFullTextSearchable

    public boolean isFullTextSearchable()

  Specified by:
    `isFullTextSearchable` in interface `PropertyDefinition`
  See Also:
    `PropertyDefinition.isFullTextSearchable()`

### isMultiple

    public boolean isMultiple()

  Specified by:
    `isMultiple` in interface `PropertyDefinition`
  See Also:
    `PropertyDefinition.isMultiple()`

### isQueryOrderable

    public boolean isQueryOrderable()

  Specified by:
    `isQueryOrderable` in interface `PropertyDefinition`
  See Also:
    `PropertyDefinition.isQueryOrderable()`

### getDeclaringNodeType

    public NodeType getDeclaringNodeType()

  Specified by:
    `getDeclaringNodeType` in interface `ItemDefinition`
  See Also:
    `ItemDefinition.getDeclaringNodeType()`

### getName

    public String getName()

  Specified by:
    `getName` in interface `ItemDefinition`
  See Also:
    `ItemDefinition.getName()`

### getOnParentVersion

    public int getOnParentVersion()

  Specified by:
    `getOnParentVersion` in interface `ItemDefinition`
  See Also:
    `ItemDefinition.getOnParentVersion()`

### isAutoCreated

    public boolean isAutoCreated()

  Specified by:
    `isAutoCreated` in interface `ItemDefinition`
  See Also:
    `ItemDefinition.isAutoCreated()`

### isMandatory

    public boolean isMandatory()

  Specified by:
    `isMandatory` in interface `ItemDefinition`
  See Also:
    `ItemDefinition.isMandatory()`

### isProtected

    public boolean isProtected()

  Specified by:
    `isProtected` in interface `ItemDefinition`
  See Also:
    `ItemDefinition.isProtected()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.